UiPath Documentation
orchestrator
2025.10
true
Orchestrator API guide
重要 :
このコンテンツの一部は機械翻訳によって処理されており、完全な翻訳を保証するものではありません。 新しいコンテンツの翻訳は、およそ 1 ~ 2 週間で公開されます。

Delete Robot Accounts

API reference for deleting multiple robot accounts from an Orchestrator organization

Deletes multiple robot accounts from an organization, based on the organization ID.

API Endpoint

DELETE https://{yourDomain}/identity/api/RobotAccount/{partitionGlobalId}

Scopes

Requires the following scopes:

  • PM.RobotAccount
  • PM.RobotAccount.Write

Request Headers

--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
Note:

To obtain the {access_token}, make sure to authenticate through one of the methods described here.

Path Parameters

Path paramData typeDescription
partitionGlobalId (required)StringThe ID of the organization you want to retrieve the robot accounts for.

Request Body

The request body contains the list of robot accounts IDs you want to bulk delete from the organization.

{
     "robotAccountIDs": [
          "string",
          "string"
     ]
}
{
     "robotAccountIDs": [
          "string",
          "string"
     ]
}

Responses

200 OK

The indicated robot accounts are deleted from the organization.

Example Request

Let's say you gathered all the information needed to build the API call.

  • Your {baseURL} is: https://{yourDomain}/identity
  • Your {access_token} is: 1234 (for length considerations).
  • The {partitionGlobalId} is: 3fa85f64-5717-4562-b3fc-2c963f66afa6
  • The robot accounts you want to delete have the following IDs:
    • Bot1: 11-xy
    • Bot2: 22-tz

The call should resemble the following example (cURL):

curl --location --request DELETE 'https://{yourDomain}/identity/api/RobotAccount/3fa85f64-5717-4562-b3fc-2c963f66afa6' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json'
--data-raw '{
     "robotAccountIDs": [
          "11-xy",
          "22-tz"
     ]
}'
curl --location --request DELETE 'https://{yourDomain}/identity/api/RobotAccount/3fa85f64-5717-4562-b3fc-2c963f66afa6' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json'
--data-raw '{
     "robotAccountIDs": [
          "11-xy",
          "22-tz"
     ]
}'
  • API Endpoint
  • Scopes
  • Request Headers
  • Path Parameters
  • Request Body
  • Responses
  • 200 OK
  • Example Request

このページは役に立ちましたか?

接続

ヘルプ リソース サポート

学習する UiPath アカデミー

質問する UiPath フォーラム

最新情報を取得